Module | Magick::RVG::Transformable
In: | lib/rvg/transformable.rb

Transformations are operations on the coordinate system. All the transformations defined within a container (an RVG object or a group) are applied before drawing any shapes or text. All transformations are applied in the order they were defined. Note: This means that

      g.translate(10,20).scale(2)

is not the same as

      g.scale(2).translate(10,20)

### Methods

matrix new rotate scale skewX skewY translate

### Public Class methods

new(*args, &block)

### Public Instance methods

matrix(sx, rx, ry, sy, tx, ty) {|self| ...}

Applies the transformation matrix [sx, rx, ry, sy, tx, ty]

rotate(angle, *args) {|self| ...}

This method can take either of two argument lists:

rotate(angle)
  rotate by `angle` degrees
rotate(angle, cx, cy)
  rotate by `angle` degrees about the point [`cx`, `cy`].

scale(sx, sy=nil) {|self| ...}

Multiply the x-coordinates by `sx` and the y-coordinates by `sy`. If `sy` is omitted it defaults to `sx`.

skewX(angle) {|self| ...}

Skew the X-axis by `angle` degrees.

skewY(angle) {|self| ...}

Skew the Y-axis by `angle` degrees.

translate(tx, ty=nil) {|self| ...}

Add `tx` to all x-coordinates and `ty` to all y-coordinates. If `ty` is omitted it defaults to `tx`.

[Validate]